:root {
    --search-criteria-background: var(--secondary-base-color);
    --search-criteria-label-color: rgba(10, 10, 10, 0.44);
    --search-criteria-search-term-color: #0a0a0a;
    --search-item-divider-color: #eee;
    --search-item-title-color: #000;
}

.prm {
    --search-criteria-background: #f0f0f0;
}

.SearchOverlayMobile {
    --placeholder-animation: placeholderAnimation 2s linear infinite;

    &_isVisible {
        z-index: 100;

        &.Overlay:not(.Overlay_isStatic) {
            height: calc(100vh - var(--header-nav-height));
            padding: 16px;
            top: var(--header-nav-height);
            background: #e5e5e5;
        }
    }

    &::before {
        width: calc(100% - 2px);
        height: 1px;
        position: absolute;
        top: 0;
        left: 1px;
        background-color: var(--search-criteria-background);
        content: '';
    }

    &-Criteria {
        overflow: hidden;
        max-height: 0;
        padding: 0;
        border-right: 1px solid #e0e0e0;
        border-left: 1px solid #e0e0e0;
        margin-bottom: 0;

        opacity: 0;
        color: var(--search-criteria-label-color);
        background-color: #fff;
        transition: opacity 200ms;
        will-change: max-height, padding, opacity;

        &_isVisible {
            max-height: 100px;
            padding: 0.7rem 8px 0.5rem;
            opacity: 1;
        }

        strong {
            margin-left: 5px;
            color: var(--search-criteria-search-term-color);
        }
    }

    &-Results {
        padding: 0.3rem;
        border-right: 1px solid #e0e0e0;
        border-left: 1px solid #e0e0e0;
    }

    &-Item {
        padding: 1.15rem 0;
        margin-bottom: 0;

        &::before {
            content: none;
        }

        &:last-child {
            margin-bottom: 0;

            &::after {
                content: none;
            }
        }
    }

    &-Wrapper {
        display: grid;
        grid-template-columns: 6rem auto;
        grid-column-gap: 1rem;
    }

    &-Container {
        width: 100%;
        background-color: #fff;
    }

    &-Content {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    &-Sku {
        color: #6e6e6e;
        font-size: 0.8rem;
        font-weight: 200;
        text-transform: uppercase;
        line-height: 1.2rem;
    }

    &-Price {
        color: #f51339;
        font-size: 12px;
        line-height: 16px;
    }

    &-OldPrice {
        padding-left: 5px;
        color: #ccc;
        text-decoration-line: line-through;
    }

    .SearchField {
        &-Input {
            width: 100%;
            height: 44px;
            max-width: 100%;
            padding-right: 60px;
            padding-left: 44px;
            border: 1px solid #e0e0e0;
            border-radius: 0;
            color: #000;
            background: var(--white);
            caret-color: #000;
            widows: 100%;

            & ~ .SearchField-Placeholder_isActive::before {
                right: auto;
                left: 10px;
                content: url('../../style/images/searchBlack.svg');
            }

            &_isActive {
                border-bottom: 0;
            }
        }

        &-Placeholder {
            width: 100%;
            height: 44px;
            padding-right: 60px;
            padding-left: 0;
            margin: 0;
            top: 0;
            left: 0;
            transform: none;
            visibility: visible;
            color: var(--grey-2-color);
            font-size: 14px;
            white-space: nowrap;

            span {
                position: absolute;
                top: calc(50% - 8px);
                left: 8px;
            }
            &::before {
                top: -8px;
                right: 27px;
                left: auto;
                transform: scale(1.1);
            }
        }
    }

    &-Title {
        max-width: calc(100vw - 7rem);
        padding: 8px 0;
        color: var(--search-item-title-color);
        font-size: 12px;
        font-weight: 500;

        &_isLoaded {
            overflow: hidden;
            text-overflow: ellipsis;
        }

        @include desktop {
            max-width: calc(100% - 7rem);
        }
    }

    &-Link {
        color: inherit;

        &:hover {
            text-decoration: none;
        }
    }
}
